#
# Conditional build:
%bcond_with	doc	# Sphinx documentation (not included in sdist)
%bcond_without	tests	# unit tests

%define 	module	iso8601
Summary:	Simple module to parse ISO 8601 dates
Summary(pl.UTF-8):	Prosty moduł do analizy dat ISO 8601
Name:		python3-%{module}
Version:	2.1.0
Release:	1
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/iso8601/
Source0:	https://files.pythonhosted.org/packages/source/i/iso8601/%{module}-%{version}.tar.gz
# Source0-md5:	6e33910eba87066b3be7fcf3d59d16b5
URL:		https://bitbucket.org/micktwomey/pyiso8601
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.6.2
BuildRequires:	python3-installer
BuildRequires:	python3-poetry-core
%if %{with tests}
BuildRequires:	python3-pytest >= 6.2.2
BuildRequires:	python3-pytz
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3 >= 1.2.1
%endif
Requires:	python3-modules >= 1:3.6.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%description -l pl.UTF-8
Ten moduł analizuje najbardziej popularne postaci łańcuchów dat ISO
8601 (np. 2007-01-14T20:34:22+00:00) i przekształca na obiekty
datetime.

%package apidocs
Summary:	API documentation for Python iso8601 module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona iso8601
Group:		Documentation

%description apidocs
API documentation for Python iso8601 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona iso8601.

%prep
%setup -qn %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" iso8601/test_iso8601.py
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/iso8601/test_*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/iso8601
%{py3_sitescriptdir}/iso8601-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Fri Mar 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-iso8601.git;a=log;h=master

* Fri Mar 14 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 1576bed
- Up to 2.1.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6986e8f
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 73c5fd9
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7721025
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cf00633
- rebuild with python 3.10

* Mon Mar 14 2022 Jakub Bogusz <qboosh@pld-linux.org> dbf254a
- python-iso8601.spec updated to 1.0.2 for python 3.6+

* Sun Mar 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 4c8a2e1
- updated to 0.1.16, added -apidocs

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 15d9669
- release 5 (by relup.sh)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 5f36dd0
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 5837625
- rebuild with python 3.8
- release 3 (by relup.sh)

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> a3e4665
- updated Source0 URL

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 86d7b2e
- release 2 (by relup.sh)

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 09f7179
- updated to 0.1.12

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c89f221
- python 3.6
- release 2 (by relup.sh)

* Sat Mar 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 6c5ec07
- updated to 0.1.11, added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> aba9869
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e98f604
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 80ae967
- automatic change: use py_build/py_install macros

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 9db94d0
- up to 0.1.8; new home

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 5c9c0f3
- new, version 0.1.4

